BOGGLE(6)

NAME
boggle - word search game

SYNOPSIS
boggle [-Bbcd] [-t time] [-w length] [+[+]] [boardspec]

DESCRIPTION
The object of boggle is to find as many words as possible on the Boggle board within the three minute time limit. A Boggle board is a four by four arrangement of Boggle cubes, each side of each cube displaying a letter of the alphabet or ‘qu’. Words are formed by finding a sequence of cubes (letters) that are in the game's dictionary. The (N+1)th cube in the word must be horizontally, vertically, or diagonally adjacent to the Nth cube. Cubes cannot be reused. Words consist solely of lower case letters and must be at least 3 letters long.

Command line flags can be given to change the rules of the game:

-B  Use an alternate five by five arrangement of Boggle cubes. In this mode the default minimum word length is 4 letters. This arrangement has been marketed over the years under the names Big Boggle, Super Boggle and Boggle Deluxe.

-b  Run boggle in batch mode. A boardspec must also be given. The dictionary is read from stdin and a list of words appearing in boardspec is printed to stdout.

-c  Add a so-called challenge cube to the board, which contains less commonly used letters. The challenge cube will be displayed in boldface on the board. Depending on the terminal capabilities, it may be displayed in underline or a different color (such as red).

-d  Enable debugging output.

-t time
    Change the time limit for each game from the default 3 minutes to time seconds.

-w length
    Change the minimum word length from 3 letters to length.

+   Allow a cube to be used multiple times, but not in succession.

++  Allow a cube to be considered adjacent to itself.

A starting board position, boardspec, can be specified on the command line by listing the board left to right and top to bottom, in lower case.

Help is available during play by typing ‘’?. More detailed information on the game is given there.

FILES
/usr/share/games/boggle/dictionary
    compressed dictionary
/usr/share/games/boggle/dictindex
    dictionary index
/usr/share/games/boggle/helpfile
    online help file

AUTHORS
Boggle is a trademark of Parker Brothers.

Barry Brachman, Dept. of Computer Science, University of British Columbia

BUGS
No word can contain a ‘q’ that is not immediately followed by a ‘u’.

When using the + or ++ options the display of words found in the board doesn't clearly indicate reused cubes.